> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datacrazy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar as atividades do lead



## OpenAPI

````yaml https://api.datacrazy.io/v1/api/openapi/v1/json get /api/v1/leads/{id}/activities
openapi: 3.0.0
info:
  title: API CRM Datacrazy
  description: Versão 1.0 da API do CRM Datacrazy
  version: '1.0'
  contact: {}
servers:
  - url: https://api.g1.datacrazy.io
security: []
tags: []
paths:
  /api/v1/leads/{id}/activities:
    get:
      tags:
        - Atividades do lead
      summary: Buscar as atividades do lead
      operationId: LeadsActivitiesV1Controller_getLeadActivities
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: skip
          required: false
          in: query
          schema:
            type: number
        - name: take
          required: false
          in: query
          schema:
            type: number
        - name: search
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/ActivitiesDto'
      security:
        - access-token: []
components:
  schemas:
    PaginatedResponseDto:
      type: object
      properties:
        count:
          type: number
          example: 100
      required:
        - count
    ActivitiesDto:
      type: object
      properties:
        id:
          type: string
        createdAt:
          format: date-time
          type: string
          description: Data em que a atividade foi criada
          example: '2025-04-17T13:41:25.013Z'
        title:
          type: string
          description: Título atribuído a atividade
          example: Reunião de alinhamento
        description:
          type: string
          description: Descriçao da atividade
          example: Reunião para esclarer dúvidas ao cliente
        type:
          type: string
          description: Tipo da atividade
          example: business-lunch
        notes:
          type: string
          description: Anotações na atividade
          example: Anotações da reunião
        startDate:
          format: date-time
          type: string
          description: Data de ínicio da atividade
          example: '2025-05-31T12:15:00.000Z'
        endDate:
          format: date-time
          type: string
          description: Data final da atividade
          example: '2025-05-31T13:15:00.000Z'
        isCompleted:
          type: boolean
          description: Se a atividade foi concluída
          example: true
        lead:
          type: object
          description: Lead atrelado a atividade
          example:
            id: 27490d53-49a3-458c-863c-dd4b55e638ae
            name: Guilherme Gavazzoni
        business:
          type: object
          description: ID do negócio atrelado a atividade
          example:
            id: 27490d53-49a3-458c-863c-dd4b55e638ae
            code: 49a451
        attendant:
          description: Atendente vinculado à atividade
          example:
            userId: koQGLa8p68fNZiiSmE1tec2LHtc2
            id: 2e6b47d4-d8ed-4501-a10a-48edf6c40d06
            name: Guilherme Betiati
            email: guilherme_betiati@hotmail.com
            phone: '4799987190'
            image: >-
              https://dc-qqqq1111pb.s3.amazonaws.com/profiles/koQGLa8p68fNZiiSmE1tec2LHtc2_2025-05-24T00%3A27%3A23.486Z
          allOf:
            - $ref: '#/components/schemas/AttendantDto'
      required:
        - id
    AttendantDto:
      type: object
      properties:
        userId:
          type: string
          description: ID do usuário
          example: t9kn9mqPakdGG535GQK3hod8wzM2
        id:
          type: string
          description: ID do usuário como atendente (ID do atendente)
          example: 6807e48c25ece34f9f1ba7dd
        name:
          type: string
          description: Nome do atendente
          example: Joao Silva
        email:
          type: string
          description: Email do atendente
          example: joaosilva@gmail.com
        phone:
          type: string
          description: Telefone do atendente
          example: '5547991331190'
        imageURL:
          type: string
          description: Url da imagem do atendente
          example: >-
            https://dc-qqqq1111pb.s3.amazonaws.com/profiles/koQGLa8p68fNZiiSmE1tec2LHtc2_2025-05-24T00%3A27%3A23.486Z
  securitySchemes:
    access-token:
      scheme: bearer
      bearerFormat: JWT
      type: http

````